MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022899Community[OCCT] OCCT:Foundation Classespublic2012-01-11 15:342012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022899: Thread-safety in Standard_GUID
Description[OCC Forum] [Bug report (and fix)] Thread-safety in Standard_GUID (Roman Lygin) - http://www.opencascade.org/org/forum/thread_22538/. [^]

" Standard_GUID.cxx unnecessarily used static variables breaking thread-safety (even thread re-entrancy).
The fix with a regression test is enclosed. It can be applied to 6.5.0, 6.5.1, 6.5.2."
======================================
OCC: Patch makes replacing of corresponding static variables to local ones.
Steps To ReproduceSee C++ code for reproducing the problem in the attached archive, file Standard_GUIDTest.cxx
TagsNo tags attached.
Test case numberTest case is not required
Attached Fileszip file icon fix515-standard_guid.zip (4,769 bytes) 2012-01-11 15:34

- Relationships

-  Notes
(0019178)
abv (manager)
2012-01-19 09:44
edited on: 2012-01-19 09:45

The code (original change + removal of some unnecessary variables around) integrated to branch OCC22899, please review and test.

(0019181)
kgv (developer)
2012-01-19 10:21

Bug branch passed review without remarks.
(0019210)
aan (tester)
2012-01-20 17:08

Dear BugMaster,
Workbench KAS:dev:mkv-22899-occt was created from SVN branch http://svn/svn/occt/branches/OCC22899 [^]
(and mkv-22899-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22899-products regarding to KAS:dev:products-20120117-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22899-products_19012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120117-opt_17012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019215)
abv (manager)
2012-01-20 18:51

Dear Mikhail,

Test case IS required: please create a new test function for that case, see 'Steps to reproduce'
(0019291)
bugmaster (administrator)
2012-01-27 17:58

Integration into trunk of occt repository

Date: 2012-01-27 17:43:57 +0400 (Fri, 27 Jan 2012)
New Revision: 10178

Modified:
   trunk/src/Standard/Standard_GUID.cxx

- Related Changesets
occt: master 6b09c923
Timestamp: 2012-01-27 13:43:57
Author: rln
Committer: bugmaster
Details ] Diff ]
0022899: Thread-safety in Standard_GUID
mod - src/Standard/Standard_GUID.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-11 15:34 szy New Issue
2012-01-11 15:34 szy Assigned To => abv
2012-01-11 15:34 szy File Added: fix515-standard_guid.zip
2012-01-19 09:07 abv Status new => assigned
2012-01-19 09:07 abv Description Updated View Revisions
2012-01-19 09:44 abv Note Added: 0019178
2012-01-19 09:44 abv Assigned To abv => kgv
2012-01-19 09:44 abv Status assigned => resolved
2012-01-19 09:45 abv Note Edited: 0019178 View Revisions
2012-01-19 09:50 abv Steps to Reproduce Updated View Revisions
2012-01-19 10:21 kgv Note Added: 0019181
2012-01-19 10:21 kgv Status resolved => reviewed
2012-01-20 16:17 mkv Test case number => Test case is not required
2012-01-20 17:08 aan Note Added: 0019210
2012-01-20 17:15 aan Assigned To kgv =>
2012-01-20 17:15 aan Status reviewed => tested
2012-01-20 18:51 abv Note Added: 0019215
2012-01-27 17:57 bugmaster Status tested => verified
2012-01-27 17:57 bugmaster Resolution open => fixed
2012-01-27 17:57 bugmaster Assigned To => Roman Lygin
2012-01-27 17:58 bugmaster Note Added: 0019291
2012-03-29 17:26 bugmaster Changeset attached => occt master 6b09c923


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker